/*
 
  Copyright (C) 2006-2011 Nasca Octavian Paul
  Author: Nasca Octavian Paul

  This program is free software; you can redistribute it and/or modify
  it under the terms of version 2 of the GNU General Public License 
  as published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License (version 2) for more details.

  You should have received a copy of the GNU General Public License (version 2)
  along with this program; if not, write to the Free Software Foundation,
  Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
*/

#ifndef AOUTPUT_H
#define AOUTPUT_H
#include <string>
#include <audiofile.h>

class AOutputS{
    public:
	AOutputS();
	~AOutputS();
	
	bool newfile(std::string filename,int samplerate,bool use32bit=false);
	void close();

	void write(int nsmps, int *smps);
	
	struct {
	    int nsamples;
	} info;
    private:
	AFfilehandle handle;
};
#endif
